Bug 150166 - Interoperability does not work accurate, when I save as DOCX an existing DOCX file.
Summary: Interoperability does not work accurate, when I save as DOCX an existing DOCX...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.4.1
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Corrupted DOCX-Track-Changes
  Show dependency treegraph
 
Reported: 2022-07-27 11:12 UTC by NISZ LibreOffice Team
Modified: 2022-08-29 06:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample file for testing the bug (15.38 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2022-07-27 11:13 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2022-07-27 11:12:17 UTC
Description:
When I open the attached file in Writer and save as Docx, after that I want to open in Word. The Word does not open it. 
The Word show this message:
"We can not open the document because we detected some problems in its content."

Steps to Reproduce:
1. Open the attached file in Writer 
2. File -> Save as -> DOCX format
3. Open the saved file in Word

Actual Results:
The Word does not open the file.

Expected Results:
The Word should open it.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 5df1bb4b1b222be00d25097660c4ee33542896ea
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Bisected with: win64-7.4 to 9e1e88ad5cf2dc0e9b188c60930445652a6c7519
https://cgit.freedesktop.org/libreoffice/core/commit/?id=9e1e88ad5cf2dc0e9b188c60930445652a6c7519


author	László Németh <nemeth@numbertext.org>	2021-12-02 17:45:46 +0100
committer	László Németh <nemeth@numbertext.org>	2021-12-03 13:10:57 +0100
commit 9e1e88ad5cf2dc0e9b188c60930445652a6c7519 (patch)

tdf#145720 DOCX export: fix loss of tracked moving
Comment 1 NISZ LibreOffice Team 2022-07-27 11:13:21 UTC
Created attachment 181436 [details]
Sample file for testing the bug
Comment 2 Commit Notification 2022-07-31 21:16:51 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/64ac089ad5464c832592e050f5d51a136f533f21

tdf#150166 DOCX export: fix broken file with tracked ToC moving

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-08-01 09:13:58 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/fbda13af0e1106a201ef939318a0bb2b63d98973

tdf#150166 DOCX export: fix broken file with tracked ToC moving

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-08-04 08:44:43 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6a0163d967ce0482598eeebbcc5a4f413f190533

tdf#150166 DOCX export: revert ToC w:move* to fix broken file

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-08-08 09:55:28 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/9a74d37762d0311c608062cd715df1b35d4f6ac4

tdf#150166 DOCX export: revert ToC w:move* to fix broken file

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 NISZ LibreOffice Team 2022-08-29 06:45:34 UTC
Verified in:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: b323f1fba2a7a409177f5296c6ba8b98c9e537ad
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL